{{- if .Values.redis.enabled }}
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: prod-redis
  namespace: argocd
spec:
  project: aux
  destination:
    server: https://kubernetes.default.svc
    namespace: redis
  sources:
    - repoURL: https://charts.bitnami.com/bitnami
      targetRevision: 19.5.2
      chart: redis
      helm:
        valueFiles:
          - $values/values/redis/values-prod.yaml
    - repoURL: https://gitlab.com/oceanbox/manifests.git
      targetRevision: HEAD
      ref: values
    - repoURL: https://gitlab.com/oceanbox/manifests.git
      targetRevision: main
      path: values/redis/prod
  ignoreDifferences:
    - group: apps
      kind: StatefulSet
      jqPathExpressions:
        - '.spec.template.spec.containers[].resources.limits.cpu'
{{- end }}
